package model

type TaskCenterRewardList struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid           int    `json:"uid" xorm:"default 0 comment('用户id') INT(11)"`
	Type          string `json:"type" xorm:"default '' comment('类型 sign签到') VARCHAR(255)"`
	Title         string `json:"title" xorm:"default '' comment('任务标题') VARCHAR(255)"`
	IsFinish      int    `json:"is_finish" xorm:"default 0 comment('是否完成') INT(1)"`
	CreateTime    int    `json:"create_time" xorm:"default 0 comment('创建时间') INT(11)"`
	FinishTime    int    `json:"finish_time" xorm:"default 0 comment('完成时间') INT(11)"`
	TaskId        int    `json:"task_id" xorm:"default 0 comment('任务id') INT(11)"`
	TaskNum       int    `json:"task_num" xorm:"default 0 comment('任务数量') INT(11)"`
	TaskNumSecond int    `json:"task_num_second" xorm:"default 0 comment('任务数量') INT(11)"`
	IsSend        int    `json:"is_send" xorm:"default 0 comment('任务数量') INT(11)"`
	Oid           int64  `json:"oid" xorm:"default 0 comment('任务数量') INT(11)"`
	Reward        string `json:"reward" xorm:"default '' comment('奖励 ') VARCHAR(255)"`
	Platform      string `json:"platform" xorm:"default '' comment('平台 ') VARCHAR(255)"`
	TaskName      string `json:"task_name" xorm:"default '' comment('平台 ') VARCHAR(255)"`
	DeviceModel   string `json:"device_model" xorm:"default '' comment('平台 ') VARCHAR(255)"`
	Bili          string `json:"bili" xorm:"default '' comment('平台 ') VARCHAR(255)"`
	TaskType      string `json:"task_type" xorm:"default '' comment('平台 ') VARCHAR(255)"`
	Price         string `json:"price" xorm:"default 0.000000 comment('') DECIMAL(16,6)"`
}
