package model

type TaskRewardTotal struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid      int    `json:"uid" xorm:"default 0 INT(11)"`
	Date     int    `json:"date" xorm:"default 0 INT(11)"`
	CoinId   int    `json:"coin_id" xorm:"default 0 INT(11)"`
	Sum      string `json:"sum" xorm:"default 0.00000000 DECIMAL(20,8)"`
	Month    int    `json:"month" xorm:"default 0 INT(11)"`
	Type     string `json:"type" xorm:"VARCHAR(255)"`
	TaskType string `json:"task_type" xorm:"VARCHAR(255)"`
	Title    string `json:"title" xorm:"VARCHAR(255)"`
}
