package model

import (
	"time"
)

type UnFreezeUser struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid        int       `json:"uid" xorm:"default 0 INT(11)"`
	Time       int       `json:"time" xorm:"default 0 INT(11)"`
	NextTime   int       `json:"next_time" xorm:"INT(11)"`
	CoinId     int       `json:"coin_id" xorm:"default 0 INT(11)"`
	Money      string    `json:"money" xorm:"default 0.00 DECIMAL(20,2)"`
	IsUse      int       `json:"is_use" xorm:"default 0 INT(1)"`
	Day        int       `json:"day" xorm:"default 0 INT(11)"`
	IsTest     int       `json:"is_test" xorm:"default 0 INT(1)"`
	UpdateTime time.Time `json:"update_time" xorm:"DATETIME"`
	CreateTime time.Time `json:"create_time" xorm:"DATETIME"`
}
