package model

type UserVirtualCoinFlowAggregation struct {
	Id            int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid           int    `json:"uid" xorm:"not null comment('用户id') index INT(11)"`
	CoinId        int    `json:"coin_id" xorm:"not null comment('虚拟币id') INT(11)"`
	TodayData     string `json:"today_data" xorm:"not null comment('今日数量') DECIMAL(20,8)"`
	ThisWeekData  string `json:"this_week_data" xorm:"not null comment('本周数量') DECIMAL(20,8)"`
	ThisMonthData string `json:"this_month_data" xorm:"not null comment('本月数量') DECIMAL(20,8)"`
	NowData       string `json:"now_data" xorm:"not null comment('当前数量') DECIMAL(20,8)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
