package model

type FlexibleEmploymentBasic struct {
	Id               int    `json:"id" xorm:"pk autoincr INT(11)"`
	AppKey           string `json:"app_key" xorm:"app_key"`
	AppSecret        string `json:"app_secret" xorm:"app_secret"`
	SecretId         string `json:"secret_id" xorm:"secret_id"`
	CallbackUrl      string `json:"callback_url" xorm:"callback_url"`
	AgreementContent string `json:"agreement_content" xorm:"agreement_content"`
	CompanyName      string `json:"company_name" xorm:"company_name"`
	CreateAt         string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
