package model

type FlexibleEmploymentPupiaoUserInfo struct {
	Id              int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid             int    `json:"uid" xorm:"not null default 0 INT(11)"`
	Name            string `json:"name" xorm:"not null default '' comment('姓名') VARCHAR(255)"`
	Mobile          string `json:"mobile" xorm:"not null default '' comment('手机号') VARCHAR(255)"`
	Identity        string `json:"identity" xorm:"not null default '' comment('证件号码') VARCHAR(255)"`
	BankAccountNo   string `json:"bank_account_no" xorm:"not null default '' comment('默认银行账号') VARCHAR(255)"`
	AlipayAccountNo string `json:"alipay_account_no" xorm:"not null default '' comment('默认支付宝账号') VARCHAR(255)"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
