package enum

type GongMaoMethodName string

const (
	MerchantContractGetList                       = "/api/merchant/contract/getList"
	MerchantEmployeeSyncInfo                      = "/api/merchant/employee/syncInfo"
	MerchantEmployeeSignContract                  = "/api/merchant/employee/signContract"
	MerchantQueryBalance                          = "/api/merchant/queryBalance"
	MerchantDoSinglePayment                       = "/api/merchant/doSinglePayment"
	MerchantEmployeeGetContractStatusByContractId = "/api/merchant/employee/getContractStatusByContractId"
	MerchantEmployeeDeleteContract                = "/api/merchant/employee/deleteContract"
	MerchantEmployeeUpdateEmployee                = "/api/merchant/employee/updateEmployee"
)

func (gt GongMaoMethodName) String() string {
	switch gt {
	case MerchantContractGetList:
		return "查询电签时需要的合同模板列表"
	case MerchantEmployeeSyncInfo:
		return "发起签署"
	case MerchantEmployeeSignContract:
		return "确认签署"
	case MerchantEmployeeGetContractStatusByContractId:
		return "通过合同id查询电签结果"
	case MerchantEmployeeDeleteContract:
		return "员工解除签署"
	case MerchantDoSinglePayment:
		return "提现"
	case MerchantEmployeeUpdateEmployee:
		return "更新员工默认手机号或者账号"
	default:
		return "未知"
	}
}
