package enum

type PuPiaoMethodName string

const (
	OpenApiContractSignApply   = "/open/api/contract/signApply"
	OpenApiPaymentReceiveOrder = "/open/api/payment/receiveOrder"
	OpenApiPaymentConfirmPay   = "/open/api/payment/confirmPay"
)

func (gt PuPiaoMethodName) String() string {
	switch gt {
	case OpenApiContractSignApply:
		return "申请签约接口"
	case OpenApiPaymentReceiveOrder:
		return "发起制单"
	case OpenApiPaymentConfirmPay:
		return "确认支付"
	default:
		return "未知"
	}
}
