package db

import (
	"applet/app/db/model"
	"applet/app/utils"
	"fmt"
	"xorm.io/xorm"
)

func OrderListPaidPriceByUIDByOrderTypeByTime(Db *xorm.Engine, uid, buyType, state, stime, etime interface{}) (float64, error) {

	str := fmt.Sprintf("uid = %s AND order_type = %s AND ( state in (%s) or settle_at>0) AND create_at > %s AND create_at < %s",
		utils.AnyToString(uid), buyType, state, stime, etime)
	fmt.Println("============test订单数=================")
	fmt.Println(str)
	total, _ := Db.Where("is_game_invite=1 and uid = ?  AND create_at > ? AND create_at < ? and settle_at=0", uid, stime, etime).In("state", state).Sum(&model.OrdList{}, "paid_price")
	total1, _ := Db.Where("is_game_invite=1 and uid = ?  AND create_at > ? AND create_at < ? and settle_at>0", uid, stime, etime).Sum(&model.OrdList{}, "paid_price")
	fmt.Println(total)

	return total + total1, nil
}
