package enum

type SuperCloudIssuanceKeywordReplyWithActivateGroupState int

const (
	SuperCloudIssuanceKeywordReplyWithActivateGroupStateForNormal  = 1
	SuperCloudIssuanceKeywordReplyWithActivateGroupStateForSuspend = 0
)

func (gt SuperCloudIssuanceKeywordReplyWithActivateGroupState) String() string {
	switch gt {
	case SuperCloudIssuanceKeywordReplyWithActivateGroupStateForNormal:
		return "正常"
	case SuperCloudIssuanceKeywordReplyWithActivateGroupStateForSuspend:
		return "暂停"
	default:
		return "未知"
	}
}

type SuperCloudIssuanceKeywordReplyWithActivateGroupIsFollowOfficial int

const (
	SuperCloudIssuanceKeywordReplyWithActivateGroupIsFollowOfficialForYes = 1
	SuperCloudIssuanceKeywordReplyWithActivateGroupIsFollowOfficialForNo  = 0
)

func (gt SuperCloudIssuanceKeywordReplyWithActivateGroupIsFollowOfficial) String() string {
	switch gt {
	case SuperCloudIssuanceKeywordReplyWithActivateGroupIsFollowOfficialForYes:
		return "跟随官方"
	case SuperCloudIssuanceKeywordReplyWithActivateGroupIsFollowOfficialForNo:
		return "不跟随官方"
	default:
		return "未知"
	}
}

type SuperCloudIssuanceKeywordReplyWithActivateGroupListKind int

const (
	SuperCloudIssuanceKeywordReplyWithActivateGroupListKindForWriting = 1
	SuperCloudIssuanceKeywordReplyWithActivateGroupListKindForPicture = 2
)

func (gt SuperCloudIssuanceKeywordReplyWithActivateGroupListKind) String() string {
	switch gt {
	case SuperCloudIssuanceKeywordReplyWithActivateGroupListKindForWriting:
		return "文字"
	case SuperCloudIssuanceKeywordReplyWithActivateGroupListKindForPicture:
		return "图片"
	default:
		return "未知"
	}
}
