package enum

type SuperCloudIssuanceUserGroupManageIsOpenOut int

const (
	SuperCloudIssuanceUserGroupManageIsOpenOutForNo SuperCloudIssuanceUserGroupManageIsOpenOut = iota
	SuperCloudIssuanceUserGroupManageIsOpenOutForYes
)

func (gt SuperCloudIssuanceUserGroupManageIsOpenOut) String() string {
	switch gt {
	case SuperCloudIssuanceUserGroupManageIsOpenOutForNo:
		return "关闭"
	case SuperCloudIssuanceUserGroupManageIsOpenOutForYes:
		return "开启"
	default:
		return "未知"
	}
}

type SuperCloudIssuanceUserGroupManageOutSendFile int

const (
	SuperCloudIssuanceUserGroupManageOutSendFileForNo SuperCloudIssuanceUserGroupManageOutSendFile = iota
	SuperCloudIssuanceUserGroupManageOutSendFileForYes
)

func (gt SuperCloudIssuanceUserGroupManageOutSendFile) String() string {
	switch gt {
	case SuperCloudIssuanceUserGroupManageOutSendFileForNo:
		return "踢发文件-关闭"
	case SuperCloudIssuanceUserGroupManageOutSendFileForYes:
		return "踢发文件-开启"
	default:
		return "未知"
	}
}

type SuperCloudIssuanceUserGroupManageOutSendCard int

const (
	SuperCloudIssuanceUserGroupManageOutSendCardForNo SuperCloudIssuanceUserGroupManageOutSendCard = iota
	SuperCloudIssuanceUserGroupManageOutSendCardForYes
)

func (gt SuperCloudIssuanceUserGroupManageOutSendCard) String() string {
	switch gt {
	case SuperCloudIssuanceUserGroupManageOutSendCardForNo:
		return "踢发名片-关闭"
	case SuperCloudIssuanceUserGroupManageOutSendCardForYes:
		return "踢发名片-开启"
	default:
		return "未知"
	}
}

type SuperCloudIssuanceUserGroupManageOutSendLink int

const (
	SuperCloudIssuanceUserGroupManageOutSendLinkForNo SuperCloudIssuanceUserGroupManageOutSendLink = iota
	SuperCloudIssuanceUserGroupManageOutSendLinkForYes
)

func (gt SuperCloudIssuanceUserGroupManageOutSendLink) String() string {
	switch gt {
	case SuperCloudIssuanceUserGroupManageOutSendLinkForNo:
		return "踢发链接-关闭"
	case SuperCloudIssuanceUserGroupManageOutSendLinkForYes:
		return "踢发链接-开启"
	default:
		return "未知"
	}
}

type SuperCloudIssuanceUserGroupManageOutSendApplet int

const (
	SuperCloudIssuanceUserGroupManageOutSendAppletForNo SuperCloudIssuanceUserGroupManageOutSendApplet = iota
	SuperCloudIssuanceUserGroupManageOutSendAppletForYes
)

func (gt SuperCloudIssuanceUserGroupManageOutSendApplet) String() string {
	switch gt {
	case SuperCloudIssuanceUserGroupManageOutSendAppletForNo:
		return "踢发小程序-关闭"
	case SuperCloudIssuanceUserGroupManageOutSendAppletForYes:
		return "踢发小程序-开启"
	default:
		return "未知"
	}
}

type SuperCloudIssuanceUserGroupManageOutAutoAddBlackList int

const (
	SuperCloudIssuanceUserGroupManageOutAutoAddBlackListForNo SuperCloudIssuanceUserGroupManageOutAutoAddBlackList = iota
	SuperCloudIssuanceUserGroupManageOutAutoAddBlackListForYes
)

func (gt SuperCloudIssuanceUserGroupManageOutAutoAddBlackList) String() string {
	switch gt {
	case SuperCloudIssuanceUserGroupManageOutAutoAddBlackListForNo:
		return "踢人时自动加入黑名单-关闭"
	case SuperCloudIssuanceUserGroupManageOutAutoAddBlackListForYes:
		return "踢人时自动加入黑名单-开启"
	default:
		return "未知"
	}
}
