package consume

import (
	"applet/app/utils"
	"applet/app/utils/logx"
	"applet/consume/md"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_mq.git/rabbit"
	"encoding/json"
	"errors"
	"fmt"
	"github.com/streadway/amqp"
)

func ZhiosAcquisitionConditionDev(queue md.MqQueue) {
	fmt.Println(">>>>>>>>>>>>>>>>>>>>>>>>")
	ch, err := rabbit.Cfg.Pool.GetChannel()
	if err != nil {
		logx.Error(err)
		return
	}
	defer ch.Release()
	//1、将自己绑定到交换机上
	ch.Bind(queue.Name, queue.ExchangeName, queue.RoutKey)
	//2、取出数据进行消费
	ch.Qos(300)
	delivery := ch.Consume(queue.Name, false)

	var res amqp.Delivery
	var ok bool
	for {
		res, ok = <-delivery
		if ok == true {
			//fmt.Println(string(res.Body))
			fmt.Println(">>>>>>>>>>>>>>>>ZhiosAcquisitionCondition<<<<<<<<<<<<<<<<<<<<<<<<<")
			err = handleZhiosAcquisition(res.Body)
			//_ = res.Reject(false)
			fmt.Println(err)
			if err == nil {
				_ = res.Ack(true)
			} else {

				var canalMsg *md.ZhiosAcquisition
				var tmpString string
				err := json.Unmarshal(res.Body, &tmpString)
				if err == nil {
					fmt.Println(tmpString)
					err = json.Unmarshal([]byte(tmpString), &canalMsg)
					if err == nil {
						ch.Publish(queue.ExchangeName, utils.SerializeStr(canalMsg), queue.RoutKey)
					}
				}

			}
		} else {
			panic(errors.New("error getting message"))
		}
	}
	fmt.Println("get msg done")
}
