package db

import (
	model2 "applet/super_cloud_issuance/db/model"
	"xorm.io/xorm"
)

func GetProvider(eg *xorm.Engine, types string) map[string]string {
	var data []model2.ProviderIcon
	err := eg.Where("type=?", types).Find(&data)
	if err != nil {
		return nil
	}
	list := make(map[string]string)
	for _, v := range data {
		list[v.Pvd] = v.Icon
	}
	return list
}
func GetProviderOne(eg *xorm.Engine, id string) *model2.ProviderIcon {
	var data model2.ProviderIcon
	get, err := eg.Where("id=?", id).Get(&data)
	if get == false || err != nil {
		return nil
	}
	return &data
}
