package db

import (
	"regexp"
)

// 正则匹配
func reformatPng(data string) []string {
	re, _ := regexp.Compile(`"([^\"]*.png")`)
	list := re.FindAllString(data, -1)
	return list
}

func skipHTTPPng(data string) bool {
	re, _ := regexp.Compile(`(http|https):\/\/([^\"]*.png)`)
	return re.MatchString(data)
}

// 正则匹配
func reformatJPG(data string) []string {
	re, _ := regexp.Compile(`"([^\"]*.jpg")`)
	list := re.FindAllString(data, -1)
	return list
}

// 正则匹配
func reformatGIF(data string) []string {
	re, _ := regexp.Compile(`"([^\"]*.gif")`)
	list := re.FindAllString(data, -1)
	return list
}

func removeDuplicateElement(addrs []string) []string {
	result := make([]string, 0, len(addrs))
	temp := map[string]int{}
	i := 1
	for _, item := range addrs {
		if _, ok := temp[item]; !ok {
			temp[item] = i
			result = append(result, item)
			continue
		}
		temp[item] = temp[item] + 1
	}
	// fmt.Println(temp)
	return result
}
