package db

import (
	"applet/app/db/model"
	"xorm.io/xorm"
)

// 根据订单id查出相关的数据
func GetVirtualCoinRelateListWithOrdId(engine *xorm.Engine, ordId int64) ([]*model.VirtualCoinRelate, error) {
	var list []*model.VirtualCoinRelate
	err := engine.Table("virtual_coin_relate").Where("oid = ?", ordId).Find(&list)
	if err != nil {
		return nil, err
	}
	return list, nil
}
