package model

import (
	"time"
)

type UserTag struct {
	TagId    int       `json:"tag_id" xorm:"not null pk autoincr INT(10)"`
	TagName  string    `json:"tag_name" xorm:"not null default '' comment('tag名') index VARCHAR(16)"`
	Uid      int       `json:"uid" xorm:"not null default 0 comment('用户ID，uid为0表示标签本身，用于标签管理') index INT(11)"`
	Memo     string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(80)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
}
