package model

import "time"

type SuperCloudIssuanceBasic struct {
	Id                                      int       `json:"id"`
	ImageNumsLimitIssuanceOnCircleOfFriends int       `json:"image_nums_limit_issuance_on_circle_of_friends"`
	ImageNumsLimitIssuanceOnGroups          int       `json:"image_nums_limit_issuance_on_groups"`
	BindNums                                int       `json:"bind_nums"`
	FollowGroupUserNums                     int       `json:"follow_group_user_nums"`
	FollowGroupBindNums                     int       `json:"follow_group_bind_nums"`
	FollowGroupRelayNums                    int       `json:"follow_group_relay_nums"`
	CreateAt                                time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt                                time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
