package model

import "time"

type SuperCloudIssuanceMaster struct {
	Id           int       `json:"id"`
	MasterId     int       `json:"master_id"`
	Amount       string    `json:"amount"`
	CreditAmount string    `json:"credit_amount"`
	Memo         string    `json:"memo"`
	State        int       `json:"state"`
	CreateAt     time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt     time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
