package model

import "time"

type SuperCloudIssuanceRobot struct {
	Id       int       `json:"id"`
	Name     string    `json:"name"`
	Price    string    `json:"price"`
	Type     int32     `json:"type"`
	State    int32     `json:"state"`
	Sort     int       `json:"sort"`
	Memo     string    `json:"memo"`
	CreateAt time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
