package enum

type SuperCloudIssuanceAddGroupWelcomeMessageState int

const (
	SuperCloudIssuanceAddGroupWelcomeMessageStateForSuspend = 0
	SuperCloudIssuanceAddGroupWelcomeMessageStateForNormal  = 1
)

func (gt SuperCloudIssuanceAddGroupWelcomeMessageState) String() string {
	switch gt {
	case SuperCloudIssuanceAddGroupWelcomeMessageStateForNormal:
		return "正常"
	case SuperCloudIssuanceAddGroupWelcomeMessageStateForSuspend:
		return "暂停"
	default:
		return "未知"
	}
}
