package enum

type CloudIssuanceUserRobotKind int

const (
	ExclusiveRobot = 1
	ShareRobot     = 2
)

func (gt CloudIssuanceUserRobotKind) String() string {
	switch gt {
	case ExclusiveRobot:
		return "独享机器人"
	case ShareRobot:
		return "共享机器人"
	default:
		return "未知"
	}
}
