package md

type WxPayParams struct {
	Subject   string `json:"subject" binding:"required"`
	Amount    string `json:"amount" binding:"required"`
	OrderType string `json:"order_type" binding:"required"`
	OrdId     string `json:"ord_id"`
}

type WxPayCallback struct {
	AppId         string `json:"appid"`
	BankType      string `json:"bank_type"`
	CashFee       string `json:"cash_fee"`
	FeeType       string `json:"fee_type"`
	IsSubscribe   string `json:"is_subscribe"`
	MasterID      string `json:"master_id"`
	MchID         string `json:"mch_id"`
	NonceStr      string `json:"nonce_str"`
	Openid        string `json:"openid"`
	OrderType     string `json:"order_type"`
	OutTradeNo    string `json:"out_trade_no"`
	PayMethod     string `json:"pay_method"`
	ResultCode    string `json:"result_code"`
	ReturnCode    string `json:"return_code"`
	Sign          string `json:"sign"`
	TimeEnd       string `json:"time_end"`
	TotalFee      string `json:"total_fee"`
	TradeType     string `json:"trade_type"`
	TransactionID string `json:"transaction_id"`
}
